# Generated from logstash-input-twitter-4.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name logstash-input-twitter

Name: rubygem-%{gem_name}
Version: 4.1.1
Release: 1%{?dist}
Summary: Reads events from the Twitter Streaming API
License: Apache License (2.0)
URL: http://www.elastic.co/guide/en/logstash/current/index.html
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
# BuildRequires: rubygem(logstash-devutils)
# BuildRequires: rubygem(logstash-codec-plain)
# BuildRequires: rubygem(rspec-sequencing)
BuildArch: noarch

%description
This gem is a Logstash plugin required to be installed on top of the Logstash
core pipeline using $LS_HOME/bin/logstash-plugin install gemname. This gem is
not a stand-alone program.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/INTEGRATION.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/NOTICE.TXT
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTORS
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/docs
%{gem_instdir}/logstash-input-twitter.gemspec
%{gem_instdir}/spec

%changelog
* Thu Nov 16 2023 mockbuilder - 4.1.1-1
- Initial package
